;;; init-ecb.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
;;----------------------------------------------------------------------------
;; ECB
;;----------------------------------------------------------------------------
(use-package ecb
  :config
  (custom-set-variables '(ecb-options-version "2.50"))
  (setq-default ecb-tip-of-the-day nil)
  (setq ecb-examples-bufferinfo-buffer-name nil)

  (defun ecb-toggle ()
    (interactive)
    (if ecb-minor-mode
        (ecb-deactivate)
      (ecb-activate)))
  (global-set-key [f2] 'ecb-toggle)

  )

(provide 'init-ecb)

;; Local Variables:
;; byte-compile-warnings: (not free-vars)
;; End:
;;; init-ecb.el ends here
